o computer.c has a lot of duplicated code
o most of the code has to walk through the matrix, a common
  code for all the those loops would be good
o part of the heuristics don't work when the board becomes
  full
o we should not update the screen when the computer is
  figuring out a move
o if you type a wierd character in the input screen (eg, "'")
  the game goes crazy
o more heuristics are possible
